Skip to main content
Phone Pe Business Logo

Settlement Transactions

This API retrieves transaction details for a specific settlement ID.

EnvironmentHTTP
Header
API
SandboxGEThttps://api-preprod.phonepe.com/apis/pg-sandbox/settlements/v1/{settlementId}/transactions
ProductionGEThttps://api.phonepe.com/apis/pg/settlements/v1/{settlementId}/transactions
Request Headers
Header NameHeader Value
Content-Typeapplication/json
AuthorizationO-Bearer <partner-auth-token>
X-MERCHANT-IDMID
Path Parameters
ParameterTypeRequiredDescription
settlementIdStringYesThe unique identifier of the settlement
Query Parameter Details
Parameter NameDescriptionConstraints
limitnumber of records that be fetched in the single API call.
Note: Max supported limit is 50
Default to 10
offsetoffset for paginationDefault to 0

⚠️ Note on Limit and Offset:

The maximum limit for requests is 50. When paginating, your offset must be strictly sequential. For example, if you start with an offset of 0 and a limit of 50 (fetching records 1-50), your subsequent offsets must be exactly 50, then 100, then 150, and so on. Skipping values in the sequence (such as jumping to 110) will cause the API to fail.

Sample Request
curl --location 'https://api.phonepe.com/apis/pg/settlements/v1/9ad15bf8-45eb-46e5-b373-1666f8dc070c/transactions' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: O-Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJpc3MiOiJpZGVudGl0eU1hbmFnZXIiLCJ2ZXJzaW9uIjoiNC4wIiwidGlkIjoiMjNhNDk0NDktNzA4MS00ZDRjLWFkZjAtMTM5OWZkNDE0NGI1Iiwic2lkIjoiM2QxYzI0MTktMzMxYS00ZjY3LThjMGQtNzU0NzQ3ZDg1Mzk3IiwiaWF0IjoxNzY5NzQ4MDYzLCJleHAiOjE3Njk3NDkyNjN9.aEh5qbJSkqhRSQxnryyRUej2-Hx8skgJfcOOoUeVfyg5prPUnDZB9vOV6uWLWhwTfbwFK7lfGHa72qfHtteYnQ'
Sample Response
{
    "settlementId": "ae169d16-9b5c-41e6-a012-ed56fccda3db",
    "utr": "YESAP60370007159",
    "merchantId": "MID",
    "settlementAmount": 97.92,
    "state": "PROCESSED", // INITIATED, ATTEMPT_FAILED
    "orders": [
        {
            "orderId": "OMO2602051546490095999802W",
            "merchantOrderId": "OD139924923",
            "amount": 100,
            "createdAt": 1770286609011,
            "transactionId": "OM2602051546490095999802W",
            "rail": {
	            "type": "UPI" // or PG or PPI_WALLET, PPI_EGV, NACH
            },
            "instrument": {
                "type": "ACCOUNT", // or CREDIT_CARD or DEBIT_CARD or NET_BANKING or CORPORATE_NET_BANKING or CREDIT_LINE
                "cardNetwork": "VISA",  
                "cardVariant": "CORPORATE",  // Possible Values: [CORPORATE, SUPER_PREMIUM , PREMIUM, CONSUMER]
                "bankId": "SBIN",  
            },
            "splitInstruments": [ // Only sent in case of payment is made using multiple instruments
                {
                    "rail": {
	                    "type": "UPI" 
                    },
                    "instrument": {
                        "type": "ACCOUNT", 
                        "cardNetwork": "VISA",
                        "cardVariant": "CORPORATE",
                        "bankId": "SBIN"
                    },
                    "settlementDetails": {        // Settlements details for specific instrument.
                		"settlementAmount": 97.92,
                		"fee": -1.76,
                		"igst": 0.0,
                		"cgst": -0.15,
                		"sgst": -0.15,
                		"totalTax": -0.31,
                		"totalCharges": -2.07
            		}
                }
            ],
            "settlementDetails": {          // Combined Settlement Details across all instruments
                "settlementAmount": 97.92,
                "fee": -1.76,
                "igst": 0.0,
                "cgst": -0.15,
                "sgst": -0.15,
                "totalTax": -0.31,
                "totalCharges": -2.07
            }
        }
    ],
    "refunds": [
        {
            "merchantRefundId": "Refund-123",
            "refundId": "OMR2602051541198421933045",
            "forwardMerchantOrderId": "Forawrd-OD139924923",
            "forwardOrderId": "OMO2602051546490095999802W",
            "amount": 100
        }
    ],
    "hasNext": false // or True
}


"instrument": {
     "type": "ACCOUNT", 
     "cardNetwork": "VISA",
     "bankId": "SBIN", 
}

"instrument": {
     "type": "CREDIT_CARD",
     "cardNetwork": "VISA",
     "cardVariant": "CORPORATE",  // Possible Values: [CORPORATE, SUPER_PREMIUM , PREMIUM, CONSUMER]
     "bankId": "SBIN",
     "geoScope": "DOMESTIC",     // Possible Values: [INTERNATIONAL, DOMESTIC]
     "internationalCardFlowType": "DCC",  // Possible Value: [DCC, NON_DCC, MCC]
     "isEmiTransaction": false
}

"instrument": {
     "type": "DEBIT_CARD", 
     "cardNetwork": "VISA",
     "bankId": "SBIN",
     "geoScope": "DOMESTIC", // Possible Values: [INTERNATIONAL, DOMESTIC]
     "internationalCardFlowType": "DCC" // Possible Value: [DCC, NON_DCC, MCC]
}

"instrument": {
     "type": "NET_BANKING", 
     "bankId": "SBIN"
}

"instrument": {
     "type": "CREDIT_LINE",
     "bankId": "SBIN"
}
"splitInstruments": [
	{
		"rail": {
			"type": "UPI"
		},
		"instrument": {
			"type": "ACCOUNT",
            "cardNetwork": "VISA",
            "bankId": "SBIN"
        },
		"settlementDetails": {            ->>>> Instrument level settlement details      
			"settlementAmount": 50.23,
			"fee": -1.76,
			"igst": 0.0,
			"cgst": -0.15,
			"sgst": -0.15,
			"totalTax": -0.31,
			"totalCharges": -2.07
		}
	},
	{
		"rail": {
			"type": "WALLET"
		},
		"instrument": {
			"type": "WALLET"
		},
		"settlementDetails": {
			"settlementAmount": 17.34,
			"fee": -1.76,
			"igst": 0.0,
			"cgst": -0.15,
			"sgst": -0.15,
			"totalTax": -0.31,
			"totalCharges": -2.07
		}
	}
]
Response Parameters
FieldTypeDescription
orderIdStringPhonePe order identifier
merchantIdStringMerchant identifier
merchantOrderIdStringMerchant’s order identifier
stateStringCurrent state of the transaction (e.g., COMPLETED)
amountLongTransaction amount in paise
createdAtLongTransaction creation timestamp (epoch milliseconds)
merchantOrderMetaDataObjectAdditional metadata for the merchant order
splitSettlementInfoObjectInformation about split settlement (null if not applicable)
successfulAttemptsArrayList of successful payment attempts
nonSuccessfulAttemptsArrayList of failed/unsuccessful payment attempts
refundsArrayList of refund transactions associated with this order
settlementObjectSettlement details for this transaction
Is this article helpful?